CentOS Bash漏洞修复

这是2014年9月底出现的漏洞,相关官方文献:https://access.redhat.com/security/cve/CVE-2014-6271。黑客可以利用该Bash漏洞完全控制目标系统并发起攻击,请各位赶紧修复了。

一、检查是否中招

env x='() { :;}; echo vulnerable'  bash -c "echo this v5.net"

如果有下图提示,表示已经中招,需要修复。

centos-bash-update-1.jpg

二、修复方法:

1、清空yum缓存

yum clean all

2、升级bash

yum update bash -y

三、验证是否修复成功

env x='() { :;}; echo vulnerable'  bash -c "echo this v5.net"

再次执行上述命令,如果提示下图,则表示修复完毕,逃过一劫啦。

centos-bash-update-2.jpg



轉載內容請註明出處: 轉載自V5.Net(原文:http://v5.net/Related/centos-bash-update-yum.html